XBPS-UUNSHARE(1)

NAME
xbps-uunshare - XBPS utility to chroot and bind mount with Linux user namespaces

SYNOPSIS
xbps-uunshare [OPTIONS] CHROOTDIR COMMAND [ARGS]

DESCRIPTION
The xbps-uunshare utility allows users to chroot and bind mount required pseudo-filesystems (/dev, /proc and /sys) in the target CHROOTDIR to execute COMMAND.

The xbps-uunshare utility uses by default Linux namespaces to isolate IPC, PIDs and mounts to the calling process. Thanks to user_namespaces(7) the user does not need any privilege to create an isolated lightweight container.

OPTIONS

-b src:dest
    Bind mounts src into CHROOTDIR/dest. This option may be specified multiple times. Please note that both src and dest must be absolute paths and must exist.

--  Stop interpreting following arguments as options. This option is useful if some of ARGS are options passed to COMMAND.

NOTES
The xbps-uunshare utility uses Linux specific features (namespaces) and it's not meant to be portable to other Operating Systems. The following kernel options must be enabled:

CONFIG_NAMESPACES
CONFIG_IPC_NS
CONFIG_USER_NS
CONFIG_UTS_NS

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-digest(1), xbps-fbulk(1), xbps-fetch(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-rindex(1), xbps-uchroot(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues